
package de.ivu.elect.business.niederschrift.entity;

import javax.annotation.Nullable;

import de.ivu.elect.business.gebietsbaum.entity.EntityMitGebiet;
import de.ivu.elect.business.gebietsbaum.entity.Gebiet;

public abstract class AbstractNiederschriftStatusAenderung implements NiederschriftStatusAenderungBase, EntityMitGebiet {

  private static final long serialVersionUID = 1L;

  public AbstractNiederschriftStatusAenderung() {
    super();
  }

  @Override
  @Nullable
  public Gebiet getGebiet() {
    if (getNiederschrift() != null) {
      return getNiederschrift().getGebiet();
    }

    return null;
  }
}
